Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158135 - Installer crashes with PXE/KS install
Summary: Installer crashes with PXE/KS install
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-18 22:51 UTC by Jeremy Huber
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-19 14:02:19 UTC


Attachments (Terms of Use)

Description Jeremy Huber 2005-05-18 22:51:47 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; .NET CLR 1.1.4322)

Description of problem:
Apparently my partition info in my kickstart script is crashing anaconda during a PXE install. (haven't tried it via a normal install yet)  I used the following out of an anaconda-ks.conf file from a normal isntall:

bootloader --location=mbr
clearpart --linux --drives=sda
part /boot --fstype "ext3" --size=100 --ondisk=sda
part pv.2 --size=0 --grow --ondisk=sda
volgroup VolGroup00 pv.2
logvol swap --fstype swap --name=LogVol01 --vgname=VolGroup00 --size=1000 --grow --maxsize=2000
logvol /var --fstype ext3 --name=LogVol02 --vgname=VolGroup00 --size=70080
logvol / --fstype ext3 --name=LogVol00 --vgname=VolGroup00 --size=4096


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Simply load the KS file above


Actual Results:  Anaconda crash/debug:

The last bit is:
 File "/usr/src/build/475969-i386/install//usr/lib/anaconda/autopart.py", line 361, in fitSized
  requestSectors = long ((request.requestSize * 1024L * 1024L) / part.disk.dev.sector_size) - 1
TypeError: unsupported operand type(s) for *: 'NoneType' and 'long'

Expected Results:  Kept going..

Additional info:

Comment 1 Jeremy Katz 2005-05-19 01:24:44 UTC
Does this go away if you specify a size other than 0 for pv.2? :)

Comment 2 Jeremy Huber 2005-05-19 14:02:19 UTC
*mutter* as a matter of fact, it does.  So why did it stick the 0 in anaconda-
ks.conf then?  Thanks for the help.

Comment 3 Christopher R. Wren 2006-03-02 17:03:49 UTC
I got bit by this too.. it would be nice of anaconda-ks.cfg contained valid code.

Chris


Note You need to log in before you can comment on or make changes to this bug.